Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.errors
Class ErrorFormatter

    java.lang.Object
      com.sun.tdk.signaturetest.errors.ErrorFormatter

Direct Known Subclasses:
  SortedErrorFormatter

    public class ErrorFormatter

extends java.lang.Object

This is class formats error messages reported by SignatureTest or APIChangesTest. This class prints messages using the ``plain'' format without any sorting and grouping of error messages.

Nested Class Summary
`static class` | `ErrorFormatter.Message` This class formats some error message reported by SignatureTest or other similar tests.

Field Summary
`static java.lang.String` | `annoAdded`
`static java.lang.String` | `annoMissed`
`protected int` | `numErrors` Number of added errors.
`protected int` | `numWarnings` Number of added warnings.

Constructor Summary
`ErrorFormatter(java.io.PrintWriter out)` Assign new ErrorFormatter to the given PrintWriter.

Method Summary
`void` | `addError(MessageType kind, java.lang.String className, MemberType type, java.lang.String def, MemberDescription errorObject)` Print new error message, and increment errors counter.
`void` | `addError(MessageType kind, java.lang.String className, MemberType type, java.lang.String def, java.lang.String tail, MemberDescription errorObject)`
`protected ErrorFormatter.Message` | `createError(MessageType kind, java.lang.String className, MemberType type, java.lang.String def, java.lang.String tail, MemberDescription errorObject)` Create new error message.
`int` | `getNumErrors()` Return number of found errors.
`int` | `getNumWarnings()` Return number of found warnings.
`void` | `printErrors()` Print errors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### annoAdded

    public static final java.lang.String annoAdded

See Also:
  Constant Field Values

### annoMissed

    public static final java.lang.String annoMissed

See Also:
  Constant Field Values

### numErrors

    protected int numErrors

  Number of added errors.

### numWarnings

    protected int numWarnings

  Number of added warnings.

Constructor Detail

### ErrorFormatter

    public ErrorFormatter(java.io.PrintWriter out)

  Assign new ErrorFormatter to the given PrintWriter.

Method Detail

### addError

    public void addError(MessageType kind,
                         java.lang.String className,
                         MemberType type,
                         java.lang.String def,
                         MemberDescription errorObject)

  Print new error message, and increment errors counter.

### addError

    public void addError(MessageType kind,
                         java.lang.String className,
                         MemberType type,
                         java.lang.String def,
                         java.lang.String tail,
                         MemberDescription errorObject)

### createError

    protected ErrorFormatter.Message createError(MessageType kind,
                                                 java.lang.String className,
                                                 MemberType type,
                                                 java.lang.String def,
                                                 java.lang.String tail,
                                                 MemberDescription errorObject)

  Create new error message.

### printErrors

    public void printErrors()

  Print errors. This method is dummy, because no errors buffering is implemented by this class. However, subclasses could overload this method.

### getNumErrors

    public int getNumErrors()

  Return number of found errors.

### getNumWarnings

    public int getNumWarnings()

  Return number of found warnings.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD